SECURE_PATH(3)

NAME
secure_path - determine if a file appears to be secure

LIBRARY
libutil

SYNOPSIS
#include <util.h>
int
secure_path(char *path);

DESCRIPTION
The secure_path() function takes a path name and returns 0 if the path name is secure, -1 if not. To be secure a path must exist, be a regular file (and not a directory), owned by root, and only writable by the owner (root).

HISTORY
The secure_path function is based on the BSD/OS implementation of same and appeared in NetBSD 1.5 by kind permission.